Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Trap first sketch dimension

1 REPLY 1
Reply
Message 1 of 2
ABishop
218 Views, 1 Reply

Trap first sketch dimension

Is it possible to trap the first created sketch dimension of a part and interogate it?

If so, what do I need to use?

Thanks in advance, Dave
1 REPLY 1
Message 2 of 2
Anonymous
in reply to: ABishop

Sub CheckFirstDimension()

Dim oPartDoc As PartDocument
Set oPartDoc = ThisApplication.ActiveDocument

Dim oCompDef As PartComponentDefinition
Set oCompDef = oPartDoc.ComponentDefinition

Dim oSketch As PlanarSketch
Set oSketch = oCompDef.Sketches(1)

Dim oFirstDimension As DimensionConstraint
Set oFirstDimension = oSketch.DimensionConstraints(1)

Debug.Print "Properties of the first dimension:"
Debug.Print "Name = " & oFirstDimension.Parameter.Name
Debug.Print "Value = " & oFirstDimension.Parameter.Value

End Sub


--
T. Ham
CAD Automation & Systems Administrator
CDS Engineering BV

HP xw4300 Workstation
Dual Pentium XEON 3.6 Ghz
4 GB SDRAM
NVIDIA QUADRO FX 3450/4000 SDI (Driver = 6.14.10.9185)
250 GB SEAGATE SATA Hard Disc
3Com Gigabit NIC

Windows XP Professional SP2
Autodesk Inventor Series 10 SP3a
Autodesk Inventor Suite 2008 SP1
--

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report